mail::ACCOUNT::removeMessages
Prev | mail::ACCOUNT Synchronous API reference | Next

## Name

mail::ACCOUNT::removeMessages — Remove messages from the folder

## Synopsis

#include <libmail/sync.H>
mail::ACCOUNT *mail;

`mail->fsfuncremoveMessages(` | const std::vector<size_t> msgList`)`;

## USAGE

This function removes messages from the currently open folder. `msgList` is a list of messages to be removed.

### Note

This request should not be used with accounts on IMAP servers that do not implement the UIDPLUS IMAP extension. “UIDPLUS” is required to directly support this functionality. An alternative, much slower, fallback implementation will be used with IMAP servers that do not implement this protocol extension.

## Return Codes

This method returns `true` if it succeeds, or `false` if it fails. If the method fails, use `mail::ACCOUNT::getErrmsg()` to read a brief description of the error.

## SEE ALSO

mail::ACCOUNT::saveFolderIndexInfo(3x), mail::ACCOUNT::getFolderIndexInfo(3x), mail::ACCOUNT::removeMessages(3x).

Prev | Up | Next
mail::ACCOUNT::readFolderInfo | Home | ToC | mail::ACCOUNT::renameFolder